:root {
  --font-head: monospace;
  --font-body: monospace;
  --font-mono: monospace;

  --page-width: 1500px;
  --page-margin: 30px;
  --columns: 3;
  --gutter: 20px;
  --sidebar-width: 325px;

  --text: #363b4e;
  --primary: #c4bbf0;
  --accent: #927fbf;
  --bg-page: #c4bbf0;
  --bg-content: #927fbf;
  --bg-accent: #363b4e;

  --grid-item: 100%;
  
  /*Addons to make it more mine*/
  --stripe-color: #4f3b78;
  --stripe-color2: #927fbf;
}

* {
    border-radius: 1em;
    caret-color: transparent;
}

@media (min-width: 1100px) {
  :root {
    --grid-item: calc(
      (99.9% / var(--columns)) - (var(--gutter) * (var(--columns) - 1)) /
        var(--columns)
    );
  }
}

:target {
  scroll-margin-block: 2ex;
}

html {
  background-position: center;
  background-attachment: fixed;
  background-image: url("images/Geese2.png");
  scroll-behavior: smooth;
  scrollbar-color: var(--bg-page) var(--bg-accent);
}

body {
  color: var(--text);
  font-family: var(--font-body);
  font-size: 1.1em;
  line-height: 1.3;
}

html,
body {
  overflow: visible;
}

main {
  max-width: var(--page-width);
  margin-inline: auto;
  padding-inline: 30px;
}

main-divider {
  display: grid;
  gap: var(--gutter);
  align-items: start;
}
@media (min-width: 700px) {
  main-divider {
    grid-template-columns: var(--sidebar-width) auto;
  }
}

.gallery li {
  margin-bottom: var(--gutter);
}

hgroup {
  padding-inline: 26px;
  padding-block: 26px;
  scrollbar-color: var(--bg-accent) var(--bg-content);
  
    background-image: linear-gradient(45deg, var(--stripe-color) 25%, var(--stripe-color2) 25%, var(--stripe-color2) 50%, var(--stripe-color) 50%, var(--stripe-color) 75%, var(--stripe-color2) 75%, var(--stripe-color2) 100%);
    background-size: 65.05px 65.05px;
    overflow-y: auto;
    /*max-height: 500px;*/
    margin: 1em;
    padding: 1em;
    border: 2px solid var(--text);
    box-shadow: var(--primary) 4px 4px;
}

hgroup > p,
hgroup > h1{
    margin: 20px auto;
    border-radius: .3em;
    padding: 12px;
/* you can change the text-align to center or right if you want it placed differently */
    text-align: center;
    background-color: var(--bg-content);
    border: 2px solid var(--text);
    text-shadow: var(--bg-page) 1px 1px 3px;
    box-shadow: var(--primary) 4px 4px;
}

nav {
    padding: 1em;
    margin: 1em;
    font-weight: bold;
}

nav > ul {
    max-width: 960px;
    margin: auto;
    line-height: 3rem;
/* this line takes away the dot in front of the list items */
    list-style-type: none;
/* list items have default padding but we don't need it for these */
    padding-left: 0;
/* and this spaces out the buttons so they're not touching */
    justify-content: space-evenly;
}
nav li {
    text-align: center;
}
nav li > a {
    background-color: var(--bg-content);
    box-shadow: var(--accent) 4px 4px;
    padding: .5em 3em;
/* this takes away the link underline */
    text-decoration: none;
}
nav li > a:hover {
    background-color: var(--bg-page);
    box-shadow: var(--bg-accent) 4px 4px;
}

a {
    color: var(--bg-content);
    border-radius: .3em;
    text-shadow: var(--bg-page) 1px 1px 2px;
    font-weight: bold;
    transition: background-color 400ms ease-out;
    box-shadow: var(--accent) 4px 4px;
}

a:visited {
    color: var(--text-color);
}
a:hover {
    background-color: var(--accent);
    color: var(--text-color);
}

@media (min-width: 700px) {
  hgroup {
    max-height: calc(100svh - 2 * var(--page-margin));
    position: sticky;
    top: var(--page-margin);
    align-self: start;
  }
}

p {
  margin-block: 0.6rem;
  &:first-child {
    margin-top: 0;
  }
  &:last-child {
    margin-bottom: 0;
  }
}

b,
strong {
  font-weight: bold;
}
i,
em {
  font-style: italic;
}

a:not(a[data-img]) {
  color: var(--bg-accent);
  text-underline-offset: 3px;
  box-shadow: var(--bg-accent) 4px 4px;
  padding: .5em 3em;
  text-decoration: none;
  
  *:hover,
  *:focus {
    color: var(--text);
    text-decoration-color: var(--text);
    text-decoration-style: solid;
  }
  *:focus {
    outline: 1px dashed var(--accent);
    outline-offset: 1px;
  }
}

code {
  color: var(--code-text);
  border: 1px solid var(--bg-accent);
  border-radius: 2px;
  padding-inline: 2px;
  padding-block: 1px;
  font-family: var(--font-mono);
}

.filters {
  display: grid;
  gap: 8px;
  background-color: var(--accent);
}

.button-group {
  display: flex;
  gap: 4px;
  flex-wrap: wrap;
}

.button {
  cursor: pointer;
  background: none;
  border: none;
  border: 1px solid var(--bg-accent);
  border-radius: 2px;
  color: var(--bg-page);
  padding: 4px 8px;
  background-color: var(--bg-accent);
  transition-property: color, background-color, text-decoration-color;
  transition-duration: 150ms;

  &:hover {
    color: var(--primary);
    border-style: solid;
    border-color: var(--primary);
  }
  &.is-checked {
    color: var(--bg-content);
    background-color: var(--primary);
  }
}

h2,
h3,
h4 {
  font-family: var(--font-head);
  color: var(--primary);
}

h1 {
  font-size: 3em;
  margin-bottom: 1rem;
  line-height: 0.9;
}

img {
  display: block;
  object-fit: cover;
}

.entry {

}

.caption {
  padding: 12px 16px;
  padding-top: 10px;
  background-color: var(--bg-content);
  text-shadow: var(--bg-page) 1px 1px 2px;
  border: 2px solid var(--text);
  box-shadow: var(--primary) 4px 4px;
}

figcaption {
  /*border-top: 1px dotted var(--bg-accent);*/
}

hr {
  border: none;
  border-top: 1px dotted var(--primary);
  margin-block: 16px;
}

details {
  margin-block: 12px;
  border: 1px solid var(--bg-accent);
  ul:not(.filters),
  ol {
    list-style-type: decimal;
    margin-left: 22px;
  }
  ol {
    margin-top: 6px;
    margin-bottom: 2px;
  }
  summary {
    cursor: pointer;
    color: var(--primary);
    font-weight: bold;
    padding: 4px 8px;
    background-color: var(--accent);
    transition-property: background-color, color, text-decoration-color,
    border-color;
    transition-duration: 150ms;
    &:hover {
      color: var(--text);
    }
  }
  details-content {
    padding: 10px;
    display: block;
  }
  &[open] {
    margin-bottom: 8px;
    summary {
      background-color: var(--primary);
      color: var(--bg-content);
      border-bottom: 1px solid var(--bg-accent);
    }
  }
}

.grid-item,
.grid-sizer {
  width: var(--grid-item);
}

.gutter-sizer {
  width: var(--gutter);
}

.responsive {
  width: 100%;
  height: auto;
}

html.bp-lock {
  overflow-y: visible;
}

#banner {
width: 1080px;
margin: 0px auto;
text-align:center;
}